Get card types for a customer
curl --request GET \
--url https://apigwuat.corpay.com/customers/{customerAccountNumber}/cardTypes \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigwuat.corpay.com/customers/{customerAccountNumber}/cardTypes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigwuat.corpay.com/customers/{customerAccountNumber}/cardTypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"cardTypeId": 1,
"cardTypeName": "BE EV",
"cardTypeDescription": "BE EV Card",
"defaultPurchaseCategoryId": 1,
"purchaseCategoryName": "EV Only",
"isEV": true
}
]{
"errorCode": "ER-001",
"errorDescription": "Invalid request parameters"
}{
"errorCode": "ER-012",
"errorDescription": "The server encountered an unexpected condition and could not complete the request. Please contact Corpay Support."
}Customer
Get card types for a customer
Return the card types available/assigned to a specific customer.
GET
/
customers
/
{customerAccountNumber}
/
cardTypes
Get card types for a customer
Performance expectations:
p50: 160 ms, p99: 500 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
p50: 160 ms, p99: 500 ms.
Measured on successful requests (2xx), server-side only.
How to interpret these metrics
Authorizations
Use OAuth2 client credentials to obtain a bearer token.
Token endpoint:
POST <BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token
Use the same base URL as the selected API server:
- Test environment:
https://apigwuat.corpay.com - Production environment:
https://apigw.corpay.com
Example:
curl --location '<BASE_URL>/keycloak/realms/longship/protocol/openid-connect/token' \
--header 'accept: application/json' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=.......' \
--data-urlencode 'client_secret=......'
Path Parameters
⌘I